function connectDb()
{
	try
	{
		var file = Components.classes["@mozilla.org/file/directory_service;1"]
			.getService(Components.interfaces.nsIProperties)
			.get("ProfD", Components.interfaces.nsIFile);
		file.append("ljr-helper.sqlite");
		var exists = file.exists();

		var storageService = Components.classes["@mozilla.org/storage/service;1"]
			.getService(Components.interfaces.mozIStorageService);
		var mDBConn  = storageService.openDatabase(file); // Will also create the file if it does not exist
		if(!exists)
		{
			mDBConn.executeSimpleSQL("CREATE TABLE banned_users(service varchar(256), username varchar(256), banned_user varchar(256))");
			mDBConn.executeSimpleSQL("CREATE UNIQUE INDEX banned_users_index ON banned_users(service, username, banned_user)");
		}
		
        return mDBConn;

	}
	catch(ex)
	{
		alert("Cannot connect db! Exception " + ex);
	}


}
